//  Persistance of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 4 lights, 3 materials and 151 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 07/14/1999    (14.07.1999)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <      0.000,     -75.000,       0.000>
  direction <        0.0,         0.0,      2.1144> // Aperture is 0.46 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <      0.000,       0.000,       0.000>
}

//
// *******  L I G H T S *******
//

light_source {   // Light4
  <-20.000, 20.000, 0.000>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light3
  <20.000, 20.000, 0.000>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light2
  <20.000, -20.000, 0.000>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light1
  <-20.000, -20.000, 0.000>
  color rgb <1.000, 1.000, 1.000>
}


//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//
// ********  MATERIALS  *******
//

#include "credits.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

text {   // TText005
  ttf    "C:\WINDOWS\Fonts\Galan___.ttf",
  "FROG",
  1.0,  // Depth
  <0.0,   0.0, 0.0> // Offset
  material {
    Silver5
  }
  scale <7.0, 7.0, 1.0>
  rotate 90.0*x
  translate  <1.0, 0.0, -5.0>
}



text {   // TText004
  ttf    "C:\WINDOWS\Fonts\Galan___.ttf",
  "The Hungry",
  1.0,  // Depth
  <0.0,   0.0, 0.0> // Offset
  material {
    Silver5
  }
  scale 2.0
  rotate 90.0*x
  translate  <2.0, 0.0, 2.0>
}



union { // CSG001
  text {   // TText003
    ttf      "C:\WINDOWS\Fonts\Arial.ttf",
    "O",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <1.2, 1.2, 1.0>
    translate  <9.315697, -0.095162, 0.0>
  }

  text {   // TText001
    ttf      "C:\WINDOWS\Fonts\Arial.ttf",
    "by David Thompson      1999",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
  }

  text {   // TText002
    ttf      "C:\WINDOWS\Fonts\Arial.ttf",
    "c",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <0.8, 0.8, 1.0>
    translate  <9.542512, 0.12192, 0.0>
  }

  material {
    Silver5
  }
  scale <2.0, 2.0, 0.1>
  rotate 90.0*x
  translate  <-6.0, 0.0, -10.0>
}










#declare CSG019 = difference {
  sphere { // Sphere072
    <0,0,0>,1
    scale <4.5, 4.5, 3.0>
  }
  sphere { // Sphere073
    <0,0,0>,1
    scale <4.0, 4.0, 2.67>
  }
}
#declare CSG021 = intersection {
  box { // Cube017
    <-1, -1, -1>, <1, 1, 1>
    scale <-5.0, -5.0, -2.0>
    translate  -3.0*z
  }
  object { CSG019 }
  translate  <0.0, -2.0, 0.5>
}
#declare CSG023 = intersection {
  sphere { // Sphere074
    <0,0,0>,1
    scale <4.0, 4.0, 2.67>
  }
  sphere { // Sphere078
    <0,0,0>,1
    scale <4.0, 4.0, 2.67>
    translate  -1.335*z
  }
  translate  <0.0, -2.0, 0.5>
}
#declare JawParts = union {
  sphere { // Sphere009
    <0,0,0>,1
  }
  object { CSG021 }
  object { CSG023 }
  torus { // Torus005
    4.0, 0.25  rotate -x*90
    translate  <0.0, -2.0, -0.5>
  }
  // All transformations fixed
}
#declare Jaw = union {
  object { JawParts }
  // Scale Z limited (0.75 to   1.25)
  // Rot X limited (0.0 to   30.0)
  // Translation fixed
  translate  -2.0*y
}
#declare LeftPupil = union {
  box { // Cube009
    <-1, -1, -1>, <1, 1, 1>
    scale 1.3
    rotate -45.0*x
    translate  -2.5*y
  }
  // Scale Z limited (0.0 to   2.0)
  // Rotation fixed
  // Translation fixed
  scale <1.0, 1.0, 1.5>
}
#declare CSG003 = difference {
  sphere { // Sphere010
    <0,0,0>,1
    scale 1.3
  }
  object { LeftPupil }
}
#declare LeftEyeBallParts = union {
  object { CSG003 }
  sphere { // Sphere063
    <0,0,0>,1
    scale 1.29
  }
  // All transformations fixed
}
#declare LeftEyeBall = union {
  object { LeftEyeBallParts }
  // Scaling fixed
  // Rot X limited (-15.0 to   15.0)
  // Rot Y limited (-15.0 to   15.0)
  // Rot Z limited (-15.0 to   15.0)
  // Translation fixed
}
#declare CSG005 = intersection {
  sphere { // Sphere011
    <0,0,0>,1
    scale 1.5
  }
  box { // Cube003
    <-1, -1, -1>, <1, 1, 1>
    scale 1.5
    translate  1.0*y
  }
}
#declare LeftEyeParts = union {
  object { CSG005 }
  torus { // Torus002
    1.3125, 0.1125  rotate -x*90
    rotate 90.0*x
    translate  -0.45*y
  }
  // All transformations fixed
}
#declare CSG016 = intersection {
  sphere { // Sphere061
    <0,0,0>,1
    scale 1.4
  }
  box { // Cube012
    <-1, -1, -1>, <1, 1, 1>
    scale 1.4
    translate  1.4*y
  }
}
#declare LeftEyeLidParts = union {
  object { CSG016 }
  torus { // Torus001
    1.35, 0.05  rotate -x*90
    rotate -90.0*x
  }
  // All transformations fixed
}
#declare LeftEyeLid = union {
  object { LeftEyeLidParts }
  // Scaling fixed
  // Rot X limited (0.0 to   180.0)
  // Translation fixed
  rotate 45.0*x
}
#declare LeftEye = union {
  object { LeftEyeBall }
  object { LeftEyeParts }
  object { LeftEyeLid }
  // Rotation fixed
  // Trans Z limited (1.0 to   2.5)
  scale <1.3, 1.4, 1.3>
  rotate <-15.0, 0.0, 45.0>
  translate  <2.5, -5.5, 2.5>
}
#declare RightPupil = union {
  box { // Cube010
    <-1, -1, -1>, <1, 1, 1>
    scale 1.3
    rotate -45.0*x
    translate  -2.5*y
  }
  // Scale Z limited (0.0 to   2.0)
  // Rotation fixed
  // Translation fixed
  scale <1.0, 1.0, 1.5>
}
#declare CSG004 = difference {
  sphere { // Sphere012
    <0,0,0>,1
    scale 1.3
  }
  object { RightPupil }
}
#declare RightEyeBallParts = union {
  object { CSG004 }
  sphere { // Sphere062
    <0,0,0>,1
    scale 1.29
  }
  // All transformations fixed
}
#declare RightEyeBall = union {
  object { RightEyeBallParts }
  // Scaling fixed
  // Rot X limited (-15.0 to   15.0)
  // Rot Y limited (-15.0 to   15.0)
  // Rot Z limited (-15.0 to   15.0)
  // Translation fixed
}
#declare CSG006 = intersection {
  sphere { // Sphere013
    <0,0,0>,1
    scale 1.5
  }
  box { // Cube004
    <-1, -1, -1>, <1, 1, 1>
    scale 1.5
    translate  1.0*y
  }
}
#declare RightEyeParts = union {
  object { CSG006 }
  torus { // Torus003
    1.3125, 0.1125  rotate -x*90
    rotate 90.0*x
    translate  -0.45*y
  }
  // All transformations fixed
}
#declare CSG015 = intersection {
  sphere { // Sphere060
    <0,0,0>,1
    scale 1.4
  }
  box { // Cube011
    <-1, -1, -1>, <1, 1, 1>
    scale 1.4
    translate  1.4*y
  }
}
#declare RightEyeLidParts = union {
  object { CSG015 }
  torus { // Torus004
    1.35, 0.05  rotate -x*90
    rotate -90.0*x
  }
  // All transformations fixed
}
#declare RightEyeLid = union {
  object { RightEyeLidParts }
  // Scaling fixed
  // Rot X limited (0.0 to   180.0)
  // Translation fixed
  rotate 45.0*x
}
#declare RightEye = union {
  object { RightEyeBall }
  object { RightEyeParts }
  object { RightEyeLid }
  // Rotation fixed
  // Trans Z limited (1.0 to   2.5)
  scale <1.3, 1.4, 1.3>
  rotate <-15.0, 0.0, -45.0>
  translate  <-2.5, -5.5, 2.5>
}
#declare CSG030 = difference {
  sphere { // Sphere086
    <0,0,0>,1
    scale <4.5, 4.5, 3.0>
  }
  sphere { // Sphere087
    <0,0,0>,1
    scale <4.0, 4.0, 2.67>
  }
  sphere { // Sphere088
    <0,0,0>,1
    scale 0.15
    translate  <0.75, -4.1, 1.0>
  }
  sphere { // Sphere089
    <0,0,0>,1
    scale 0.15
    translate  <-0.75, -4.1, 1.0>
  }
}
#declare CSG031 = intersection {
  box { // Cube025
    <-1, -1, -1>, <1, 1, 1>
    scale <5.0, 5.0, 3.0>
    translate  3.0*z
  }
  object { CSG030 }
  translate  -4.0*y
}
#declare CSG032 = intersection {
  box { // Cube026
    <-1, -1, -1>, <1, 1, 1>
    scale <5.0, 5.0, 3.0>
    translate  3.0*z
  }
  sphere { // Sphere090
    <0,0,0>,1
    scale <4.0, 4.0, 2.67>
  }
  translate  -4.0*y
}
#declare HeadParts1 = union {
  sphere { // Sphere014
    <0,0,0>,1
  }
  object { CSG031 }
  object { CSG032 }
  torus { // Torus010
    4.25, 0.25  rotate -x*90
    translate  -4.0*y
  }
  torus { // Torus011
    0.75, 0.25  rotate -x*90
    scale <0.3, 0.3, 0.5>
    rotate <-120.0, -0.0, 10.0>
    translate  <0.75, -8.1, 1.0>
  }
  torus { // Torus012
    0.75, 0.25  rotate -x*90
    scale <0.3, 0.3, 0.5>
    rotate <-120.0, -0.0, -11.0>
    translate  <-0.75, -8.1, 1.0>
  }
  // All transformations fixed
}
#declare TongueParts = union {
  cylinder { // Cylndr007
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 0.25, 9.0>
    rotate 90.0*x
    translate  3.0*y
  }
  sphere { // Sphere059
    <0,0,0>,1
    scale <1.0, 0.25, 0.5>
    rotate 90.0*x
    translate  -6.0*y
  }
  // All transformations fixed
}
#declare Tongue = union {
  object { TongueParts }
  // Scaling fixed
  // Rot X limited (-5.0 to   5.0)
  // Rot Y limited (-5.0 to   5.0)
  // Rot Z limited (-5.0 to   5.0)
  // Trans Y limited (-8.0 to   0.0)
  rotate <0.0, 0.0, -0.0>
}
#declare MouthParts = union {
  sphere { // Sphere068
    <0,0,0>,1
  }
  // All transformations fixed
}
#declare Mouth = union {
  object { Tongue }
  object { MouthParts }
  // Scaling fixed
  // Rot X limited (0.0 to   20.0)
  // Translation fixed
  rotate 10.0*x
}
#declare Head1 = union {
  object { Jaw }
  object { LeftEye }
  object { RightEye }
  object { HeadParts1 }
  object { Mouth }
  // Scaling fixed
  // Rot X limited (-5.0 to   30.0)
  // Rot Y limited (-5.0 to   5.0)
  // Rot Z limited (-5.0 to   5.0)
  // Translation fixed
  rotate <20.0, -0.0, -0.0>
}
#declare CSG007 = intersection {
  box { // Cube005
    <-1, -1, -1>, <1, 1, 1>
    scale 2.0
    rotate -45.0*z
    translate  3.0*x
  }
  cylinder { // Cylndr018
    <0,0,1>, <0,0,0>, 1 
    scale <1.414, 1.414, 0.1>
  }
  translate  -0.05*z
}
#declare LeftHandParts = union {
  cylinder { // Cylndr015
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 1.414>
    rotate <45.0, 90.0, 0.0>
  }
  cylinder { // Cylndr016
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 2.0>
    rotate <0.0, 90.0, 0.0>
  }
  cylinder { // Cylndr017
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 1.414>
    rotate <-45.0, 90.0, 0.0>
  }
  object { CSG007 }
  sphere { // Sphere025
    <0,0,0>,1
    scale 0.25
  }
  // All transformations fixed
}
#declare LeftFinger1Parts = union {
  sphere { // Sphere029
    <0,0,0>,1
    scale 0.2
  }
  cylinder { // Cylndr009
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 1.0>
    rotate <0.0, 90.0, 0.0>
  }
  sphere { // Sphere027
    <0,0,0>,1
    scale 0.3
    translate  1.0*x
  }
}
#declare LeftFinger1 = union {
  object { LeftFinger1Parts }
  // Scaling fixed
  // Rot Y limited (0.0 to   45.0)
  // Translation fixed
  rotate 45.0*z
  translate  <1.0, 1.0, 0.0>
}
#declare LeftFinger2Parts = union {
  sphere { // Sphere030
    <0,0,0>,1
    scale 0.2
  }
  cylinder { // Cylndr013
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 1.0>
    rotate 90.0*y
  }
  sphere { // Sphere032
    <0,0,0>,1
    scale 0.3
    translate  1.0*x
  }
}
#declare LeftFinger2 = union {
  object { LeftFinger2Parts }
  // Scaling fixed
  // Rot Y limited (0.0 to   45.0)
  // Translation fixed
  translate  2.0*x
}
#declare LeftFinger3Parts = union {
  sphere { // Sphere031
    <0,0,0>,1
    scale 0.2
  }
  cylinder { // Cylndr014
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 1.0>
    rotate <-0.0, 90.0, 0.0>
  }
  sphere { // Sphere033
    <0,0,0>,1
    scale 0.3
    translate  1.0*x
  }
}
#declare LeftFinger3 = union {
  object { LeftFinger3Parts }
  // Scaling fixed
  // Rot Y limited (0.0 to   45.0)
  // Translation fixed
  rotate -45.0*z
  translate  <1.0, -1.0, 0.0>
}
#declare LeftThumbParts = union {
  cylinder { // Cylndr008
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 1.0>
    rotate <-90.0, 0.0, 180.0>
  }
  sphere { // Sphere040
    <0,0,0>,1
    scale 0.3
    translate  -1.0*y
  }
  // All transformations fixed
}
#declare LeftThumb = union {
  object { LeftThumbParts }
  // Scaling fixed
  // Rot X limited (0.0 to   45.0)
  // Translation fixed
}
#declare LeftHand = union {
  object { LeftHandParts }
  object { LeftFinger1 }
  object { LeftFinger2 }
  object { LeftFinger3 }
  object { LeftThumb }
  // Scaling fixed
  // Translation fixed
  rotate <-49.106609, -228.590378, 139.106598>
  translate  4.25*x
}
#declare CSG017 = intersection {
  sphere { // Sphere069
    <0,0,0>,1
    scale 0.8
    rotate <90.0, -0.0, 0.0>
  }
  box { // Cube013
    <-1, -1, -1>, <1, 1, 1>
    scale 0.8
    translate  0.8*z
  }
}
#declare LeftLowerArmParts = union {
  cone { // Cone003
    <0,0,0>, 0.5, <0,0,1>, 0.8
    rotate <0.0, -0.0, 0.0>
    translate  <-0.0, -0.0, -1.0>
    scale <1.0, 1.0, 4.0>
    rotate <-90.0, -180.0, -270.0>
  }
  sphere { // Sphere020
    <0,0,0>,1
    scale 0.5
    rotate 90.0*x
    translate  4.0*x
  }
  object { CSG017 }
  // All transformations fixed
}
#declare LeftLowerArm = union {
  object { LeftHand }
  object { LeftLowerArmParts }
  // Scaling fixed
  // Rot Y limited (-60.0 to   150.0)
  // Translation fixed
  rotate 45.0*y
  translate  4.0*x
}
#declare LeftArmParts = union {
  sphere { // Sphere016
    <0,0,0>,1
    scale 1.2
    rotate <90.0, 0.0, -0.0>
  }
  cone { // Cone004
    <0,0,0>, 0.8, <0,0,1>, 1.0
    translate  -1.0*z
    scale <1.0, 1.0, 4.0>
    rotate <-90.0, -180.0, -270.0>
  }
  sphere { // Sphere018
    <0,0,0>,1
    scale 0.79
    rotate <90.0, -0.0, 0.0>
    translate  4.0*x
  }
  // All transformations fixed
}
#declare LeftArm = union {
  object { LeftLowerArm }
  object { LeftArmParts }
  // Scaling fixed
  // Translation fixed
  rotate <0.0, 30.0, 60.0>
  translate  <4.0, -1.0, -1.0>
}
#declare CSG018 = intersection {
  sphere { // Sphere070
    <0,0,0>,1
    scale 0.8
    rotate <90.0, -0.0, 0.0>
  }
  box { // Cube014
    <-1, -1, -1>, <1, 1, 1>
    scale 0.8
    translate  0.8*z
  }
}
#declare RightLowerArmParts = union {
  cone { // Cone006
    <0,0,0>, 0.5, <0,0,1>, 0.8
    rotate 0.0*z
    translate  <-0.0, -0.0, -1.0>
    scale <1.0, 1.0, 4.0>
    rotate <-90.0, -180.0, 270.0>
  }
  sphere { // Sphere028
    <0,0,0>,1
    scale 0.5
    rotate 90.0*x
    translate  -4.0*x
  }
  object { CSG018 }
  // All transformations fixed
}
#declare CSG008 = intersection {
  box { // Cube006
    <-1, -1, -1>, <1, 1, 1>
    scale 2.0
    rotate -45.0*z
    translate  -3.0*x
  }
  cylinder { // Cylndr022
    <0,0,1>, <0,0,0>, 1 
    scale <1.414, 1.414, 0.1>
  }
  translate  -0.05*z
}
#declare RightHandParts = union {
  cylinder { // Cylndr019
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 1.414>
    rotate <135.0, 90.0, 0.0>
  }
  cylinder { // Cylndr020
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 2.0>
    rotate <0.0, -270.0, -180.0>
  }
  cylinder { // Cylndr021
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 1.414>
    rotate <-135.0, 90.0, 0.0>
  }
  object { CSG008 }
  sphere { // Sphere056
    <0,0,0>,1
    scale 0.25
  }
  // All transformations fixed
}
#declare RightFinger1Parts = union {
  sphere { // Sphere034
    <0,0,0>,1
    scale 0.2
  }
  cylinder { // Cylndr010
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 1.0>
    rotate <0.0, 90.0, 0.0>
  }
  sphere { // Sphere035
    <0,0,0>,1
    scale 0.3
    translate  1.0*x
  }
  // All transformations fixed
}
#declare RightFinger1 = union {
  object { RightFinger1Parts }
  // Scaling fixed
  // Rot Y limited (0.0 to   45.0)
  // Translation fixed
  rotate 135.0*z
  translate  <-1.0, 1.0, 0.0>
}
#declare RightFinger2Parts = union {
  sphere { // Sphere036
    <0,0,0>,1
    scale 0.2
  }
  cylinder { // Cylndr023
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 1.0>
    rotate <0.0, -270.0, -180.0>
  }
  sphere { // Sphere037
    <0,0,0>,1
    scale 0.3
    translate  -1.0*x
  }
  // All transformations fixed
}
#declare RightFinger2 = union {
  object { RightFinger2Parts }
  // Scaling fixed
  // Rot Y limited (-45.0 to   0.0)
  // Translation fixed
  translate  -2.0*x
}
#declare RightFinger3Parts = union {
  sphere { // Sphere038
    <0,0,0>,1
    scale 0.2
  }
  cylinder { // Cylndr024
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 1.0>
    rotate <-0.0, 90.0, 0.0>
  }
  sphere { // Sphere039
    <0,0,0>,1
    scale 0.3
    translate  1.0*x
  }
  // All transformations fixed
}
#declare RightFinger3 = union {
  object { RightFinger3Parts }
  // Scaling fixed
  // Rot Y limited (0.0 to   45.0)
  // Translation fixed
  rotate -135.0*z
  translate  <-1.0, -1.0, 0.0>
}
#declare RightThumbParts = union {
  cylinder { // Cylndr011
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 1.0>
    rotate <-90.0, 0.0, -180.0>
  }
  sphere { // Sphere021
    <0,0,0>,1
    scale 0.3
    translate  -1.0*y
  }
  // All transformations fixed
}
#declare RightThumb = union {
  object { RightThumbParts }
  // Scaling fixed
  // Rot X limited (0.0 to   45.0)
  // Translation fixed
}
#declare RightHand = union {
  object { RightHandParts }
  object { RightFinger1 }
  object { RightFinger2 }
  object { RightFinger3 }
  object { RightThumb }
  // Scaling fixed
  // Translation fixed
  rotate <-49.106609, -131.409622, -139.106598>
  translate  -4.25*x
}
#declare RightLowerArm = union {
  object { RightLowerArmParts }
  object { RightHand }
  // Scaling fixed
  // Rot Y limited (-150.0 to   60.0)
  // Translation fixed
  rotate -60.0*y
  translate  -4.0*x
}
#declare RightArmParts = union {
  sphere { // Sphere017
    <0,0,0>,1
    scale 1.2
    rotate <90.0, -0.0, 0.0>
  }
  cone { // Cone005
    <0,0,0>, 0.8, <0,0,1>, 1.0
    rotate 0.0*z
    translate  <-0.0, -0.0, -1.0>
    scale <1.0, 1.0, 4.0>
    rotate <-90.0, -180.0, 270.0>
  }
  sphere { // Sphere019
    <0,0,0>,1
    scale 0.79
    rotate <90.0, 0.0, -0.0>
    translate  -4.0*x
  }
  // All transformations fixed
}
#declare RightArm = union {
  object { RightLowerArm }
  object { RightArmParts }
  // Scaling fixed
  // Translation fixed
  rotate <0.0, -30.0, -60.0>
  translate  <-4.0, -1.0, -1.0>
}
#declare CSG014 = difference {
  sphere { // Sphere022
    <0,0,0>,1
    scale <-5.0, -3.0, -5.0>
    rotate <90.0, -180.0, 180.0>
  }
  cylinder { // Cylndr012
    <0,0,1>, <0,0,0>, 1 
    scale <2.0, 1.5, 6.0>
    rotate 90.0*x
  }
}
#declare ShoulderParts = union {
  sphere { // Sphere015
    <0,0,0>,1
  }
  object { CSG014 }
  // All transformations fixed
}
#declare Shoulders = union {
  object { Head1 }
  object { LeftArm }
  object { RightArm }
  object { ShoulderParts }
  // Scaling fixed
  // Rot X limited (-5.0 to   15.0)
  // Rot Z limited (-5.0 to   5.0)
  // Translation fixed
  translate  -2.0*y
}
#declare CSG010 = intersection {
  box { // Cube008
    <-1, -1, -1>, <1, 1, 1>
    scale 2.0
    rotate -45.0*z
    translate  3.0*x
  }
  cylinder { // Cylndr035
    <0,0,1>, <0,0,0>, 1 
    scale <3.0, 3.0, 0.1>
  }
  scale <1.0, 0.5, 1.0>
  translate  -0.05*z
}
#declare LeftFootParts = union {
  cylinder { // Cylndr032
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 2.236>
    rotate <26.6, 90.0, 0.0>
  }
  cylinder { // Cylndr033
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 4.0>
    rotate <180.0, -270.0, -180.0>
  }
  cylinder { // Cylndr034
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 2.236>
    rotate <-26.6, 90.0, 0.0>
  }
  object { CSG010 }
  sphere { // Sphere023
    <0,0,0>,1
    scale 0.4
  }
  // All transformations fixed
}
#declare LeftToe1Parts = union {
  sphere { // Sphere049
    <0,0,0>,1
    scale 0.3
  }
  cylinder { // Cylndr036
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 2.0>
    rotate <90.0, -225.000015, 90.0>
  }
  sphere { // Sphere050
    <0,0,0>,1
    scale 0.4
    translate  2.0*x
  }
  // All transformations fixed
}
#declare LeftToe1 = union {
  object { LeftToe1Parts }
  // Scaling fixed
  // Rot Y limited (0.0 to   45.0)
  // Translation fixed
  rotate 26.6*z
  translate  <2.0, 1.0, 0.0>
}
#declare LeftToe2Parts = union {
  sphere { // Sphere051
    <0,0,0>,1
    scale 0.3
  }
  cylinder { // Cylndr037
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 2.0>
    rotate <180.0, -270.0, -180.0>
  }
  sphere { // Sphere052
    <0,0,0>,1
    scale 0.4
    translate  2.0*x
  }
  // All transformations fixed
}
#declare LeftToe2 = union {
  object { LeftToe2Parts }
  // Scaling fixed
  // Rot Y limited (0.0 to   45.0)
  // Translation fixed
  translate  4.0*x
}
#declare LeftToe3Parts = union {
  sphere { // Sphere053
    <0,0,0>,1
    scale 0.3
  }
  cylinder { // Cylndr038
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 2.0>
    rotate <-0.0, 90.0, 0.0>
  }
  sphere { // Sphere054
    <0,0,0>,1
    scale 0.4
    translate  2.0*x
  }
  // All transformations fixed
}
#declare LeftToe3 = union {
  object { LeftToe3Parts }
  // Scaling fixed
  // Rot Y limited (0.0 to   45.0)
  // Translation fixed
  rotate -26.6*z
  translate  <2.0, -1.0, 0.0>
}
#declare LeftToe0Parts = union {
  cylinder { // Cylndr025
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.5>
    rotate <-90.0, 0.0, -180.0>
  }
  sphere { // Sphere055
    <0,0,0>,1
    scale 0.4
    translate  -1.5*y
  }
  // All transformations fixed
}
#declare LeftToe0 = union {
  object { LeftToe0Parts }
  // Scaling fixed
  // Rot X limited (0.0 to   45.0)
  // Translation fixed
}
#declare LeftFoot = union {
  object { LeftFootParts }
  object { LeftToe1 }
  object { LeftToe2 }
  object { LeftToe3 }
  object { LeftToe0 }
  // Scaling fixed
  // Translation fixed
  rotate <0.0, -120.0, -0.0>
  translate  8.5*x
}
#declare CSG011 = intersection {
  sphere { // Sphere024
    <0,0,0>,1
  }
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    translate  1.0*z
  }
}
#declare LeftLowerLegParts = union {
  cone { // Cone001
    <0,0,0>, 0.8, <0,0,1>, 1.0
    rotate 0.0*z
    translate  <-0.0, 0.0, -1.0>
    scale <1.0, 1.0, 8.0>
    rotate <-90.0, -180.0, 90.0>
  }
  sphere { // Sphere048
    <0,0,0>,1
    scale 0.8
    rotate <90.0, -0.0, 0.0>
    translate  8.0*x
  }
  object { CSG011 }
  // All transformations fixed
}
#declare LeftLowerLeg = union {
  object { LeftFoot }
  object { LeftLowerLegParts }
  // Scaling fixed
  // Rot Y limited (0.0 to   165.0)
  // Translation fixed
  rotate 150.0*y
  translate  8.0*x
}
#declare LeftLegParts = union {
  sphere { // Sphere026
    <0,0,0>,1
    scale 1.2
    rotate 90.0*x
  }
  cone { // Cone007
    <0,0,0>, 0.834, <0,0,1>, 1.0
    rotate -0.0*z
    translate  <-0.0, 0.0, -1.0>
    scale <1.2, 1.2, 8.0>
    rotate <-90.0, -180.0, -270.0>
  }
  sphere { // Sphere041
    <0,0,0>,1
    scale 0.99
    rotate 90.0*x
    translate  8.0*x
  }
  // All transformations fixed
}
#declare LeftLeg = union {
  object { LeftLowerLeg }
  object { LeftLegParts }
  // Scaling fixed
  // Translation fixed
  rotate <30.0, -15.0, -50.0>
  translate  2.0*x
}
#declare CSG009 = intersection {
  box { // Cube007
    <-1, -1, -1>, <1, 1, 1>
    scale 2.0
    rotate -45.0*z
    translate  -3.0*x
  }
  cylinder { // Cylndr029
    <0,0,1>, <0,0,0>, 1 
    scale <3.0, 3.0, 0.1>
  }
  scale <1.0, 0.5, 1.0>
  translate  -0.05*z
}
#declare RightFootParts = union {
  cylinder { // Cylndr026
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 2.236>
    rotate <153.399994, 90.0, 0.0>
  }
  cylinder { // Cylndr027
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 4.0>
    rotate <0.0, -270.0, -180.0>
  }
  cylinder { // Cylndr028
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 2.236>
    rotate <-153.399994, 90.0, 0.0>
  }
  object { CSG009 }
  sphere { // Sphere042
    <0,0,0>,1
    scale 0.4
  }
  // All transformations fixed
}
#declare RightToe1Parts = union {
  sphere { // Sphere043
    <0,0,0>,1
    scale 0.3
  }
  cylinder { // Cylndr030
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 2.0>
    rotate <90.0, -225.000015, 90.0>
  }
  sphere { // Sphere044
    <0,0,0>,1
    scale 0.4
    translate  2.0*x
  }
  // All transformations fixed
}
#declare RightToe1 = union {
  object { RightToe1Parts }
  // Scaling fixed
  // Rot Y limited (0.0 to   45.0)
  // Translation fixed
  rotate 153.399994*z
  translate  <-2.0, 1.0, 0.0>
}
#declare RightToe2Parts = union {
  sphere { // Sphere045
    <0,0,0>,1
    scale 0.3
  }
  cylinder { // Cylndr031
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 2.0>
    rotate <0.0, -270.0, -180.0>
  }
  sphere { // Sphere046
    <0,0,0>,1
    scale 0.4
    translate  -2.0*x
  }
  // All transformations fixed
}
#declare RightToe2 = union {
  object { RightToe2Parts }
  // Scaling fixed
  // Rot Y limited (-45.0 to   0.0)
  // Translation fixed
  translate  -4.0*x
}
#declare RightToe3Parts = union {
  sphere { // Sphere047
    <0,0,0>,1
    scale 0.3
  }
  cylinder { // Cylndr039
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 2.0>
    rotate <-0.0, 90.0, 0.0>
  }
  sphere { // Sphere057
    <0,0,0>,1
    scale 0.4
    translate  2.0*x
  }
  // All transformations fixed
}
#declare RightToe3 = union {
  object { RightToe3Parts }
  // Scaling fixed
  // Rot Y limited (0.0 to   45.0)
  // Translation fixed
  rotate -154.300003*z
  translate  <-2.0, -1.0, 0.0>
}
#declare RightToe0Parts = union {
  cylinder { // Cylndr040
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.5>
    rotate <-90.0, 0.0, -180.0>
  }
  sphere { // Sphere058
    <0,0,0>,1
    scale 0.4
    translate  -1.5*y
  }
  // All transformations fixed
}
#declare RightToe0 = union {
  object { RightToe0Parts }
  // Scaling fixed
  // Rot X limited (0.0 to   45.0)
  // Translation fixed
}
#declare RightFoot = union {
  object { RightFootParts }
  object { RightToe1 }
  object { RightToe2 }
  object { RightToe3 }
  object { RightToe0 }
  // Scaling fixed
  // Translation fixed
  rotate <-15.0, -240.0, -0.0>
  translate  -8.5*x
}
#declare CSG002 = intersection {
  sphere { // Sphere067
    <0,0,0>,1
  }
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    translate  1.0*x
  }
}
#declare RightLowerLegParts = union {
  cone { // Cone008
    <0,0,0>, 0.8, <0,0,1>, 1.0
    rotate 0.0*z
    translate  <-0.0, -0.0, -1.0>
    scale <1.0, 1.0, 8.0>
    rotate <0.0, -180.0, -90.0>
  }
  sphere { // Sphere065
    <0,0,0>,1
    scale 0.8
    rotate <0.0, -0.0, -90.0>
    translate  8.0*z
  }
  object { CSG002 }
  // All transformations fixed
  rotate <0.0, -90.0, 0.0>
}
#declare RightLowerLeg = union {
  object { RightFoot }
  object { RightLowerLegParts }
  // Scaling fixed
  // Rot Y limited (-165.0 to   0.0)
  // Translation fixed
  rotate <-0.0, -150.0, 0.0>
  translate  -8.0*x
}
#declare RightLegParts = union {
  sphere { // Sphere071
    <0,0,0>,1
    scale 1.2
    rotate 90.0*y
  }
  cone { // Cone009
    <0,0,0>, 0.834, <0,0,1>, 1.0
    rotate <-0.0, 0.0, -0.0>
    translate  <0.0, 0.0, 0.0>
    scale <1.2, 1.2, 8.0>
    rotate <0.0, -180.0, -0.0>
    translate  8.0*z
  }
  sphere { // Sphere075
    <0,0,0>,1
    scale 0.99
    rotate <90.0, -0.0, -90.0>
    translate  8.0*z
  }
  // All transformations fixed
  rotate <90.0, 0.0, -90.0>
}
#declare RightLeg = union {
  object { RightLowerLeg }
  object { RightLegParts }
  // Scaling fixed
  // Translation fixed
  rotate <30.0, 15.0, 50.0>
  translate  -2.0*x
}
#declare HipParts = union {
  sphere { // Sphere076
    <0,0,0>,1
  }
  // All transformations fixed
}
#declare Hips = union {
  object { LeftLeg }
  object { RightLeg }
  object { HipParts }
  // Scaling fixed
  // Rot X limited (-5.0 to   5.0)
  // Rot Y limited (-5.0 to   5.0)
  // Rot Z limited (-5.0 to   5.0)
  // Translation fixed
  translate  7.0*y
}
#declare CSG013 = difference {
  superellipsoid { // SuperQ001
    <1.0, 1.4>
    scale <6.0, 3.0, 9.0>
    rotate 90.0*x
  }
  cylinder { // Cylndr041
    <0,0,1>, <0,0,0>, 1 
    scale <2.0, 1.5, 6.0>
    rotate 90.0*x
    translate  -3.0*y
  }
}
#declare BodyParts1 = union {
  sphere { // Sphere077
    <0,0,0>,1
  }
  object { CSG013 }
  // All transformations fixed
}
union { // TreeFrog
  object { Shoulders }
  object { Hips }
  object { BodyParts1 }
  material {
    Silver5
  }
  rotate <-30.0, 0.0, 45.0>
  translate  -10.0*x
}


